#

API Docs for: v3.16.0-alpha.2
Show: Inherited Protected Private Deprecated

# File: ../store/addon/-private/system/normalize-model-name.js

    import { dasherize } from '@ember/string';

    /**
      @module @ember-data/store
    */

    // All modelNames are dasherized internally. Changing this function may
    // require changes to other normalization hooks (such as typeForRoot).

    /**
     This method normalizes a modelName into the format Ember Data uses
     internally.

      @method normalizeModelName
      @public
      @param {String} modelName
      @return {String} normalizedModelName
    */
    export default function normalizeModelName(modelName) {
      return dasherize(modelName);
    }